/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.AndroidApacheCordovaPlugin;

import org.apache.cordova.api.Plugin;
import org.apache.cordova.api.PluginResult;
import org.json.JSONArray;
import org.json.JSONException;

public class HelloWorldPlugin extends Plugin {

	@Override
	public PluginResult execute(String action, JSONArray arguments, String callbackId) {
		PluginResult result = null;
		
		if (action.equals("sayHello")){
			String responseText = "Hello world";
			try {
				responseText+= ", " + arguments.getString(0);
				result = new PluginResult(PluginResult.Status.OK, responseText);
			} catch (JSONException e) {
				result = new PluginResult(PluginResult.Status.JSON_EXCEPTION, e.getMessage());
			}
		}
		else
			result = new PluginResult(PluginResult.Status.INVALID_ACTION);
		
		return result;
	
	}
}
